Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class BooksEvent

    java.lang.Object
      java.util.EventObject
          org.crosswire.jsword.book.BooksEvent

All Implemented Interfaces:
  Serializable

    public class BooksEvent

extends EventObject

A BooksEvent is fired whenever a Bible is added or removed from the system.

Author:
  Joe Walker
See Also:
  `The GNU Lesser General Public License for details.`, Serialized Form

Field Summary
`private boolean` | `added` Is this an addition event?
`private Book` | `book` The name of the changed Bible
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`BooksEvent(Object source, Book book, boolean added)` Basic constructor

Method Summary
`Book` | `getBook()` Get the name of the changed Book
`boolean` | `isAddition()` Is this an addition event?
`private void` | `readObject(ObjectInputStream is)` Serialization support.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### added

    private boolean added

  Is this an addition event?

### book

    private transient Book book

  The name of the changed Bible

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### BooksEvent

    public BooksEvent(Object source,
                      Book book,
                      boolean added)

  Basic constructor

  Parameters:
    `source` - the source of this BookEvent
    `book` - The book of the changed Bible, or null if there is more than one change.
    `added` - True if the changed Bible is an addition.

Method Detail

### getBook

    public Book getBook()

  Get the name of the changed Book

  Returns:
    The Book

### isAddition

    public boolean isAddition()

  Is this an addition event?

  Returns:
    true if the book is being added

### readObject

    private void readObject(ObjectInputStream is)
                     throws IOException,
                            ClassNotFoundException

  Serialization support.

  Parameters:
    `is` - the input stream
  Throws:
    `IOException` - if an I/O error occurred
    `ClassNotFoundException` - this class cannot be recreated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD